Commit 1a53dc4a authored by Peter Pentchev's avatar Peter Pentchev

New upstream version 1.4.2+dfsg

parent 57fec6da
This diff is collapsed.
@(#)$Id: NEWS,v 1.99.4.16 2014/09/03 11:13:59 karls Exp $
@(#)$Id: NEWS,v 1.99.4.16.2.18 2017/02/03 14:16:15 karls Exp $
(NOTE: The contents of this file is not updated for pre-releases.)
***
*** Monday, February 6, 2017 -- Dante v1.4.2
***
o Support new version of libminiupnp. Patch from Michele Testa
<themike@libero.it.example.com>
o Fix memory bug in the client that would lead to a crash when resolving
hostnames on certain platforms.
Diagnosis and patch from Jeremie Courreges-Anglas
<jca@wxcvbn.org.example.org>. Thank you.
o A new environment variable has been added to aid application
compatibility with socksify: SOCKS_FORCE_BLOCKING_CONNECT.
See the socksify manpage for more information.
o Fixed bug in configure that broke compilation with rpmbuild on
newer Linux versions. Multiple bug reports received, thanks
to everyone that reported this problem.
o Add glibc-devel as Dante rpm requirement. Requires entry for
librt, used by socksify. Suggested by <ealogar@gmail.com.example.com>.
Also needed for libdl.so.
o Various NetBSD configure and server related fixes.
Thanks to Anthony Howe <achowe@snert.com.example.com> for bug
reports and testing.
o Corrected srchost values in examples/sockd.conf.
Thanks to Danesh Pajoh, Babak <Babak.DaneshPajoh@gwl.ca.example.com>
for bug report.
o Various build fixes, affecting RHEL 7 and potentially other platforms.
Thanks to Thomas Petazzoni <thomas.petazzoni@free-electrons.com.example.com>
for submitting related patch.
o Updates to hostid/TCP_IPA code to use newer API version.
o Added check for OpenBSD getpwnam_shadow().
o Added workaround for __FD_ELT() fortify related bug in recent glibc
versions.
***
*** Wednesday, September 3, 2014 -- Dante v1.4.1
......
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# Makefile.in generated by automake 1.13.4 from Makefile.am.
# @configure_input@
# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009 Free Software Foundation,
# Inc.
# Copyright (C) 1994-2013 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.
......@@ -15,14 +14,59 @@
@SET_MAKE@
VPATH = @srcdir@
am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
am__make_running_with_option = \
case $${target_option-} in \
?) ;; \
*) echo "am__make_running_with_option: internal error: invalid" \
"target option '$${target_option-}' specified" >&2; \
exit 1;; \
esac; \
has_opt=no; \
sane_makeflags=$$MAKEFLAGS; \
if $(am__is_gnu_make); then \
sane_makeflags=$$MFLAGS; \
else \
case $$MAKEFLAGS in \
*\\[\ \ ]*) \
bs=\\; \
sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
| sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
esac; \
fi; \
skip_next=no; \
strip_trailopt () \
{ \
flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
}; \
for flg in $$sane_makeflags; do \
test $$skip_next = yes && { skip_next=no; continue; }; \
case $$flg in \
*=*|--*) continue;; \
-*I) strip_trailopt 'I'; skip_next=yes;; \
-*I?*) strip_trailopt 'I';; \
-*O) strip_trailopt 'O'; skip_next=yes;; \
-*O?*) strip_trailopt 'O';; \
-*l) strip_trailopt 'l'; skip_next=yes;; \
-*l?*) strip_trailopt 'l';; \
-[dEDm]) skip_next=yes;; \
-[JT]) skip_next=yes;; \
esac; \
case $$flg in \
*$$target_option*) has_opt=yes; break;; \
esac; \
done; \
test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkglibexecdir = $(libexecdir)/@PACKAGE@
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = ${SHELL} $(install_sh) -c -m 644
install_sh_PROGRAM = ${SHELL} $(install_sh) -c
install_sh_SCRIPT = ${SHELL} $(install_sh) -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
......@@ -34,7 +78,7 @@ POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
subdir = SPECS
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
$(srcdir)/dante.spec.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
......@@ -50,18 +94,30 @@ am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(install_sh) -d
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/include/autoconf.h
CONFIG_CLEAN_FILES = dante.spec
CONFIG_CLEAN_VPATH_FILES =
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo " GEN " $@;
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
AM_V_P = $(am__v_P_@AM_V@)
am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_@AM_V@)
am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
am__v_GEN_0 = @echo " GEN " $@;
am__v_GEN_1 =
AM_V_at = $(am__v_at_@AM_V@)
am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
am__v_at_0 = @
am__v_at_1 =
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
case $$AM_UPDATE_INFO_DIR in \
n|no|NO) false;; \
*) (install-info --version) >/dev/null 2>&1;; \
esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = @ACLOCAL@
AMTAR = @AMTAR@
......@@ -256,11 +312,11 @@ mostlyclean-libtool:
clean-libtool:
-rm -rf .libs _libs
tags: TAGS
TAGS:
tags TAGS:
ctags CTAGS:
ctags: CTAGS
CTAGS:
cscope cscopelist:
distdir: $(DISTFILES)
......@@ -307,10 +363,15 @@ install-am: all-am
installcheck: installcheck-am
install-strip:
$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
`test -z '$(STRIP)' || \
echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
if test -z '$(STRIP)'; then \
$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
install; \
else \
$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
"INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
fi
mostlyclean-generic:
clean-generic:
......@@ -391,15 +452,16 @@ uninstall-am:
.MAKE: install-am install-strip
.PHONY: all all-am check check-am clean clean-generic clean-libtool \
distclean distclean-generic distclean-libtool distdir dvi \
dvi-am html html-am info info-am install install-am \
install-data install-data-am install-dvi install-dvi-am \
install-exec install-exec-am install-html install-html-am \
install-info install-info-am install-man install-pdf \
install-pdf-am install-ps install-ps-am install-strip \
installcheck installcheck-am installdirs maintainer-clean \
maintainer-clean-generic mostlyclean mostlyclean-generic \
mostlyclean-libtool pdf pdf-am ps ps-am uninstall uninstall-am
cscopelist-am ctags-am distclean distclean-generic \
distclean-libtool distdir dvi dvi-am html html-am info info-am \
install install-am install-data install-data-am install-dvi \
install-dvi-am install-exec install-exec-am install-html \
install-html-am install-info install-info-am install-man \
install-pdf install-pdf-am install-ps install-ps-am \
install-strip installcheck installcheck-am installdirs \
maintainer-clean maintainer-clean-generic mostlyclean \
mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
tags-am uninstall uninstall-am
# Tell versions [3.59,3.63) of GNU make to not export all variables.
......
Summary: A free SOCKS v4/v5 client implementation
Name: dante
%define fullversion 1.4.1
%define fullversion 1.4.2
%define prefix /usr
Prefix: %{prefix}
Version: 1.4.1
Version: 1.4.2
Release: 1%{?dist}
License: BSD-type
Group: Networking/Utilities
......@@ -11,6 +11,7 @@ URL: http://www.inet.no/dante/
Vendor: Inferno Nettverk A/S
Source: ftp://ftp.inet.no/pub/socks/dante-%{fullversion}.tar.gz
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: glibc-devel
BuildRequires: pam-devel
BuildRequires: bison
......@@ -46,7 +47,7 @@ Requires: dante
Additional libraries required to compile programs that use SOCKS.
%prep
%setup -n dante-1.4.1
%setup -n dante-1.4.2
# This file is embedded here instead of being another source in order
# to the prefix directory
......@@ -71,7 +72,9 @@ source %{_initrddir}/functions
source %{_sysconfdir}/sysconfig/network
# Check that networking is up.
[ ${NETWORKING} = "no" ] && exit 1
if test x"$NETWORKING" != x; then
[ ${NETWORKING} = "no" ] && exit 1
fi
[ -x %{_sbindir}/sockd ] || exit 1
[ -r %{_sysconfdir}/sockd.conf ] || exit 1
......@@ -202,6 +205,10 @@ fi
%{_includedir}/socks.h
%changelog
* Tue Jul 21 2015 Karl-Andre' Skevik <karls@inet.no>
-Add glibc-devel Requires entry for librt, used by socksify.
Noted by ealogar@gmail.com.
* Sun Feb 3 2013 Karl-Andre' Skevik <karls@inet.no>
-Add reload() and comment about pidfile creation when starting as non-root.
......
......@@ -11,6 +11,7 @@ URL: http://www.inet.no/dante/
Vendor: Inferno Nettverk A/S
Source: ftp://ftp.inet.no/pub/socks/dante-%{fullversion}.tar.gz
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: glibc-devel
BuildRequires: pam-devel
BuildRequires: bison
......@@ -71,7 +72,9 @@ source %{_initrddir}/functions
source %{_sysconfdir}/sysconfig/network
# Check that networking is up.
[ ${NETWORKING} = "no" ] && exit 1
if test x"$NETWORKING" != x; then
[ ${NETWORKING} = "no" ] && exit 1
fi
[ -x %{_sbindir}/sockd ] || exit 1
[ -r %{_sysconfdir}/sockd.conf ] || exit 1
......@@ -202,6 +205,10 @@ fi
%{_includedir}/socks.h
%changelog
* Tue Jul 21 2015 Karl-Andre' Skevik <karls@inet.no>
-Add glibc-devel Requires entry for librt, used by socksify.
Noted by ealogar@gmail.com.
* Sun Feb 3 2013 Karl-Andre' Skevik <karls@inet.no>
-Add reload() and comment about pidfile creation when starting as non-root.
......
Dante 1.4.1
Dante 1.4.2
......@@ -1146,4 +1146,123 @@ gaierrval: $3
AC_DEFUN([L_CHECKGAIERROR],
[checkgaierror($@)])
#L_GETDEFINEDINT
#args:
# 1: define name
# 2: headers to be included
# 3: new define to set value to
AC_DEFUN([L_GETDEFINEDINT], [
AC_MSG_CHECKING(for $1 value)
AC_TRY_RUN([
$2
#include <stdio.h>
int
main(void)
{
FILE *fp;
int val;
val = $1;
if ((fp = fopen("conftest.out", "w")) == NULL) {
perror("fopen");
exit(-1);
}
fprintf(fp, "%ld\n", val);
fclose(fp);
return 0;
}], [ac_cv_definedint=$(cat conftest.out)
AC_MSG_RESULT([yes])
AC_DEFINE_UNQUOTED($3, [$ac_cv_definedint], [value of $1])],
[AC_MSG_RESULT([no])])])
AC_DEFUN([L_TCP_KEEPCNT_MAX], [
AC_MSG_CHECKING(for TCP_KEEPCNT_MAX value)
AC_TRY_RUN([
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/tcp.h>
#include <netinet/in.h>
#include <stdio.h>
#include <stdlib.h>
#if 0
#include "include/monitor.h"
#else
/*
* XXX this value should be fetched from Dante include/monitor.h.
*/
#define TEST_NE_TCP_KEEPCNT (1000)
#endif
int
main(void)
{
socklen_t len;
int val, s, lastgoodvalue;
int startval;
if ((s = socket(AF_INET, SOCK_STREAM, 0)) == -1) {
perror("socket()");
exit(1);
}
/*
* Find maxvalue for TCP_KEEPCNT. MAX_TCP_KEEPCNT, but not exported to
* userland on Linux, by michaels@inet.no.
*/
lastgoodvalue = -1;
len = sizeof(val);
startval = 127;
for (val = 127; val <= TEST_NE_TCP_KEEPCNT; val += 10)
if (setsockopt(s, IPPROTO_TCP, TCP_KEEPCNT, &val, len) == 0) {
fprintf(stderr, "good value: %d", val);
lastgoodvalue = val;
} else {
perror("setsockname: TCP_KEEPCNT");
break;
}
/* warn if TEST_NE_TCP_KEEPCNT is too low relative to startval */
if (val == 127)
fprintf(stderr, "warning: no values were tested");
if (lastgoodvalue == -1)
exit(1);
else {
FILE *fp;
fprintf(stderr, "max value for TCP_KEEPCNT is %d\n", lastgoodvalue);
if ((fp = fopen("conftest.out", "w")) == NULL) {
perror("fopen");
exit(-1);
}
fprintf(fp, "%ld\n", lastgoodvalue);
fclose(fp);
}
return 0;
}], [tcp_keepcnt_max=`cat conftest.out`
AC_MSG_RESULT([${tcp_keepcnt_max}])
], [unset tcp_keepcnt_max
AC_MSG_RESULT(unknown)],
[dnl XXX assume unknown when cross-compiling
AC_MSG_RESULT(cross-compiling, assuming unknown)])
if test x"${tcp_keepcnt_max}" != x; then
AC_DEFINE_UNQUOTED(MAX_TCP_KEEPCNT, ${tcp_keepcnt_max}, [max tcp_keepcnt value])dnl
fi])
# -- acinclude end --
This diff is collapsed.
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# Makefile.in generated by automake 1.13.4 from Makefile.am.
# @configure_input@
# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009 Free Software Foundation,
# Inc.
# Copyright (C) 1994-2013 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.
......@@ -16,14 +15,59 @@
@SET_MAKE@
VPATH = @srcdir@
am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
am__make_running_with_option = \
case $${target_option-} in \
?) ;; \
*) echo "am__make_running_with_option: internal error: invalid" \
"target option '$${target_option-}' specified" >&2; \
exit 1;; \
esac; \
has_opt=no; \
sane_makeflags=$$MAKEFLAGS; \
if $(am__is_gnu_make); then \
sane_makeflags=$$MFLAGS; \
else \
case $$MAKEFLAGS in \
*\\[\ \ ]*) \
bs=\\; \
sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
| sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
esac; \
fi; \
skip_next=no; \
strip_trailopt () \
{ \
flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
}; \
for flg in $$sane_makeflags; do \
test $$skip_next = yes && { skip_next=no; continue; }; \
case $$flg in \
*=*|--*) continue;; \
-*I) strip_trailopt 'I'; skip_next=yes;; \
-*I?*) strip_trailopt 'I';; \
-*O) strip_trailopt 'O'; skip_next=yes;; \
-*O?*) strip_trailopt 'O';; \
-*l) strip_trailopt 'l'; skip_next=yes;; \
-*l?*) strip_trailopt 'l';; \
-[dEDm]) skip_next=yes;; \
-[JT]) skip_next=yes;; \
esac; \
case $$flg in \
*$$target_option*) has_opt=yes; break;; \
esac; \
done; \
test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkglibexecdir = $(libexecdir)/@PACKAGE@
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = ${SHELL} $(install_sh) -c -m 644
install_sh_PROGRAM = ${SHELL} $(install_sh) -c
install_sh_SCRIPT = ${SHELL} $(install_sh) -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
......@@ -35,7 +79,7 @@ POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
subdir = bin
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
$(srcdir)/socksify.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
......@@ -51,7 +95,7 @@ am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(install_sh) -d
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/include/autoconf.h
CONFIG_CLEAN_FILES = socksify
CONFIG_CLEAN_VPATH_FILES =
......@@ -76,16 +120,34 @@ am__nobase_list = $(am__nobase_strip_setup); \
am__base_list = \
sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
test -z "$$files" \
|| { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
|| { echo " ( cd '$$dir' && rm -f" $$files ")"; \
$(am__cd) "$$dir" && rm -f $$files; }; \
}
am__installdirs = "$(DESTDIR)$(bindir)"
SCRIPTS = $(bin_SCRIPTS)
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo " GEN " $@;
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
AM_V_P = $(am__v_P_@AM_V@)
am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_@AM_V@)
am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
am__v_GEN_0 = @echo " GEN " $@;
am__v_GEN_1 =
AM_V_at = $(am__v_at_@AM_V@)
am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
am__v_at_0 = @
am__v_at_1 =
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
case $$AM_UPDATE_INFO_DIR in \
n|no|NO) false;; \
*) (install-info --version) >/dev/null 2>&1;; \
esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = @ACLOCAL@
AMTAR = @AMTAR@
......@@ -274,8 +336,11 @@ socksify: $(top_builddir)/config.status $(srcdir)/socksify.in
cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
install-binSCRIPTS: $(bin_SCRIPTS)
@$(NORMAL_INSTALL)
test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
@list='$(bin_SCRIPTS)'; test -n "$(bindir)" || list=; \
if test -n "$$list"; then \
echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
$(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
fi; \
for p in $$list; do \
if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
......@@ -303,20 +368,18 @@ uninstall-binSCRIPTS:
@list='$(bin_SCRIPTS)'; test -n "$(bindir)" || exit 0; \
files=`for p in $$list; do echo "$$p"; done | \
sed -e 's,.*/,,;$(transform)'`; \
test -n "$$list" || exit 0; \
echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
cd "$(DESTDIR)$(bindir)" && rm -f $$files
dir='$(DESTDIR)$(bindir)'; $(am__uninstall_files_from_dir)
mostlyclean-libtool:
-rm -f *.lo
clean-libtool:
-rm -rf .libs _libs
tags: TAGS
TAGS:
tags TAGS:
ctags CTAGS:
ctags: CTAGS
CTAGS:
cscope cscopelist:
distdir: $(DISTFILES)
......@@ -366,10 +429,15 @@ install-am: all-am
installcheck: installcheck-am
install-strip:
$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
`test -z '$(STRIP)' || \
echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
if test -z '$(STRIP)'; then \
$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
install; \
else \
$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
"INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
fi
mostlyclean-generic:
clean-generic:
......@@ -450,16 +518,17 @@ uninstall-am: uninstall-binSCRIPTS
.MAKE: install-am install-strip
.PHONY: all all-am check check-am clean clean-generic clean-libtool \
distclean distclean-generic distclean-libtool distdir dvi \
dvi-am html html-am info info-am install install-am \
install-binSCRIPTS install-data install-data-am install-dvi \
install-dvi-am install-exec install-exec-am install-html \
install-html-am install-info install-info-am install-man \
install-pdf install-pdf-am install-ps install-ps-am \
install-strip installcheck installcheck-am installdirs \
maintainer-clean maintainer-clean-generic mostlyclean \
mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
uninstall uninstall-am uninstall-binSCRIPTS
cscopelist-am ctags-am distclean distclean-generic \
distclean-libtool distdir dvi dvi-am html html-am info info-am \
install install-am install-binSCRIPTS install-data \
install-data-am install-dvi install-dvi-am install-exec \
install-exec-am install-html install-html-am install-info \
install-info-am install-man install-pdf install-pdf-am \
install-ps install-ps-am install-strip installcheck \
installcheck-am installdirs maintainer-clean \
maintainer-clean-generic mostlyclean mostlyclean-generic \
mostlyclean-libtool pdf pdf-am ps ps-am tags-am uninstall \
uninstall-am uninstall-binSCRIPTS
# Tell versions [3.59,3.63) of GNU make to not export all variables.
......
This diff is collapsed.
......@@ -21,13 +21,13 @@ case $host in
*-*-solaris*)
#for msghdr msg_flags
CPPFLAGS="${CPPFLAGS}${CPPFLAGS:+ }-D_XOPEN_SOURCE=500 -D_XOPEN_SOURCE_EXTENDED"
CPPFLAGS="${CPPFLAGS}${CPPFLAGS:+ }-D_XOPEN_SOURCE=600"
CPPFLAGS="${CPPFLAGS}${CPPFLAGS:+ }-D__EXTENSIONS__ -DBSD_COMP"
;;
*-*-linux-*)
CPPFLAGS="${CPPFLAGS}${CPPFLAGS:+ }-D_XOPEN_SOURCE=600 -D_XOPEN_SOURCE_EXTENDED"
CPPFLAGS="${CPPFLAGS}${CPPFLAGS:+ }-D_BSD_SOURCE"
CPPFLAGS="${CPPFLAGS}${CPPFLAGS:+ }-D_BSD_SOURCE -D_DEFAULT_SOURCE"
;;
*-*-aix*)
......@@ -107,12 +107,45 @@ else
AC_MSG_RESULT([$COMPTYPE])
fi
AC_MSG_CHECKING([for preprocessor flags])
unset cpp_flags
case $ac_cv_prog_CPP in
gcc*)
#simplify parsing after cpp processing (for e.g. errno checks)
cpp_flags="${cpp_flags}${cpp_flags:+ }-P"
if test x"`uname`" = xSunOS; then
cpp_flags="${cpp_flags}${cpp_flags:+ }-std=gnu99"
fi
;;
suncc*)
if test x"`uname`" = xSunOS; then
cpp_flags="${cpp_flags}${cpp_flags:+ }-xc99=all"
fi
;;
esac
if test x"$cpp_flags" != x; then
CPPFLAGS="${CPPFLAGS}${CPPFLAGS:+ }$cpp_flags"
AC_MSG_RESULT([$cpp_flags])
else
AC_MSG_RESULT([none])
fi
unset comp_flags
AC_MSG_CHECKING([for compiler flags])
case $COMPTYPE in
gcc)
if test x"`uname`" = xSunOS; then
comp_flags="-std=gnu99"
fi
;;
suncc)
#-xs provides easier debugging with gdb
comp_flags="-Xa -xs"
if test x"`uname`" = xSunOS; then
comp_flags="$comp_flags -xc99=all"
fi
;;
osfcc)
......@@ -176,18 +209,28 @@ int main()
esac
AC_MSG_CHECKING([for support for -Wbounded compiler flag])